/* Copyright (C) 1996-2001 Ghostgum Software Pty Ltd.  All rights reserved.
  
  This file is part of AFPL Ghostscript.
  
  AFPL Ghostscript is distributed with NO WARRANTY OF ANY KIND.  No author or
  distributor accepts any responsibility for the consequences of using it, or
  for whether it serves any particular purpose or works at all, unless he or
  she says so in writing.  Refer to the Aladdin Free Public License (the
  "License") for full details.
  
  Every copy of AFPL Ghostscript must include a copy of the License, normally
  in a plain ASCII text file named PUBLIC.  The License grants you the right
  to copy, modify and redistribute AFPL Ghostscript, but only under certain
  conditions described in the License.  Among other things, the License
  requires that the copyright notice and this notice be preserved on all
  copies.
*/

/* $Id: gsplugin.h,v 1.0 2001/04/06 22:57:46 igorm Exp $ */

/* GS plugin handler */

#ifndef gs_main_instance_DEFINED
#  define gs_main_instance_DEFINED
typedef struct gs_main_instance_s gs_main_instance;
#endif

gs_plugin_retcode i_register_plugin(P2(void *host, gs_plugin_interface *I));
gs_plugin_retcode i_unregister_plugin(P2(void *host, gs_plugin_interface *I));
gs_plugin_retcode i_unregister_plugin_client(P1(gs_main_instance *minst));
gs_plugin_interface ** i_get_installed_plugins(P1(i_ctx_t *i_ctx_p));

